For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns a list of task schedules.
      • POSTCreates a new task schedule for a given task and a given user.
      • POSTCreates task schedules from a task by id.
      • GETReturns a task schedule by id.
      • PUTUpdates a given task schedule.
      • DELDeletes a task schedule by id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Schedules

Creates task schedules from a task by id.

POST
https://api.awork.com/api/v1/taskschedules/bytaskid/:taskId
POST
/api/v1/taskschedules/bytaskid/:taskId
$curl -X POST https://api.awork.com/api/v1/taskschedules/bytaskid/taskId \
> -H "Authorization: Bearer <token>"
Creates task schedules from a task by id. The task must have start and due date and at least one assignee. If more than one user is assigned to the task, then the user needs to opt in to create task schedules for all assignees by setting the 'createSchedulesForAllAssignees' query param to true. This requires admin or feature permissions. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns a task schedule by id.

Next
Built with

Creates task schedules from a task by id. The task must have start and due date and at least one assignee. If more than one user is assigned to the task, then the user needs to opt in to create task schedules for all assignees by setting the ‘createSchedulesForAllAssignees’ query param to true. This requires admin or feature permissions.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The id of the task.

Query parameters

createSchedulesForAllAssigneesbooleanOptionalDefaults to false
Whether to create schedules for all assignees.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error